#ifndef __SYSTICK_TIMER_H
#define __SYSTICK_TIMER_H


void Systick_Init();
void Delay_500ns();
void Delay_us(unsigned int us);
void Delay(unsigned int ms);
unsigned int SysTick_CNT();

typedef struct
{
    unsigned int begin_time;
    unsigned int wait_time;
    unsigned char status;
}Timer;

void Timer_Begin(Timer *timer, unsigned int wait_time);
unsigned char Timer_Flag(Timer timer);
int Timer_Current(Timer timer);
void Timer_Clear_Flag(Timer *timer);

#endif
